Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class CachingStatCalculator

    java.lang.Object
      org.apache.jmeter.visualizers.SamplingStatCalculator
          org.apache.jmeter.visualizers.CachingStatCalculator

    public class CachingStatCalculator

extends SamplingStatCalculator

Provides storage of samples in addition to calculations

Constructor Summary
`CachingStatCalculator(String string)`

Method Summary
`Sample` | `addSample(SampleResult res)` Records a sample.
`void` | `clear()` Clear the counters (useful for differential stats)
`Sample` | `getSample(int index)`
`List<Sample>` | `getSamples()`

Methods inherited from class org.apache.jmeter.visualizers.SamplingStatCalculator
`getAvgPageBytes, getBytesPerSecond, getCount, getCurrentSample, getDistribution, getElapsed, getErrorCount, getErrorPercentage, getKBPerSecond, getLabel, getMax, getMaxThroughput, getMean, getMeanAsNumber, getMedian, getMin, getPercentPoint, getPercentPoint, getRate, getStandardDeviation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachingStatCalculator

    public CachingStatCalculator(String string)

Method Detail

### getSamples

    public List<Sample> getSamples()

### getSample

    public Sample getSample(int index)

### clear

    public void clear()

  Description copied from class: `SamplingStatCalculator`
  Clear the counters (useful for differential stats)

  Overrides:
    `clear` in class `SamplingStatCalculator`

### addSample

    public Sample addSample(SampleResult res)

  Records a sample.

  Overrides:
    `addSample` in class `SamplingStatCalculator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.